Bug 8904 - winbindd crashes when looking up empty SID list with wbinfo
winbindd crashes when looking up empty SID list with wbinfo
Status: RESOLVED FIXED
Product: Samba 3.6
Classification: Unclassified
Component: Winbind
3.6.4
All Linux
: P5 major
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-28 15:18 UTC by Michael Letzgus
Modified: 2012-05-07 13:06 UTC (History)
2 users (show)

See Also:


Attachments
Patch (1.31 KB, patch)
2012-04-28 20:01 UTC, Volker Lendecke
obnox: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Letzgus 2012-04-28 15:18:44 UTC
Winbindd crashes when looking up emtpty SID list with wbinfo:

> wbinfo --lookup-sids ""


Apr 28 17:15:02 uche-pc1-ml winbindd[6727]:   From: http://www.samba.org/samba/docs/Samba3-HOWTO.pdf
Apr 28 17:15:02 uche-pc1-ml winbindd[6727]: [2012/04/28 17:15:02.662618,  0] lib/fault.c:51(fault_report)
Apr 28 17:15:02 uche-pc1-ml winbindd[6727]:   ===============================================================
Apr 28 17:15:02 uche-pc1-ml winbindd[6727]: [2012/04/28 17:15:02.662639,  0] lib/util.c:1117(smb_panic)
Apr 28 17:15:02 uche-pc1-ml winbindd[6727]:   PANIC (pid 6727): internal error
Apr 28 17:15:02 uche-pc1-ml winbindd[6727]: [2012/04/28 17:15:02.664586,  0] lib/util.c:1221(log_stack_trace)
Apr 28 17:15:02 uche-pc1-ml winbindd[6727]:   BACKTRACE: 13 stack frames:
Apr 28 17:15:02 uche-pc1-ml winbindd[6727]:    #0 /usr/sbin/winbindd(log_stack_trace+0x1a) [0x7ff201c1971a]
Apr 28 17:15:02 uche-pc1-ml winbindd[6727]:    #1 /usr/sbin/winbindd(smb_panic+0x22) [0x7ff201c197f2]
Apr 28 17:15:02 uche-pc1-ml winbindd[6727]:    #2 /usr/sbin/winbindd(+0x1aba74) [0x7ff201c0aa74]
Apr 28 17:15:02 uche-pc1-ml winbindd[6727]:    #3 /lib/x86_64-linux-gnu/libc.so.6(+0x324f0) [0x7ff1fee7a4f0]
Apr 28 17:15:02 uche-pc1-ml winbindd[6727]:    #4 /usr/sbin/winbindd(wb_lookupsids_recv+0x64) [0x7ff201b84e14]
Apr 28 17:15:02 uche-pc1-ml winbindd[6727]:    #5 /usr/sbin/winbindd(+0x12b9c5) [0x7ff201b8a9c5]
Apr 28 17:15:02 uche-pc1-ml winbindd[6727]:    #6 /usr/sbin/winbindd(tevent_common_loop_immediate+0xe2) [0x7ff201c2ade2]
Apr 28 17:15:02 uche-pc1-ml winbindd[6727]:    #7 /usr/sbin/winbindd(run_events_poll+0x47) [0x7ff201c28ee7]
Apr 28 17:15:02 uche-pc1-ml winbindd[6727]:    #8 /usr/sbin/winbindd(+0x1ca306) [0x7ff201c29306]
Apr 28 17:15:02 uche-pc1-ml winbindd[6727]:    #9 /usr/sbin/winbindd(_tevent_loop_once+0x90) [0x7ff201c29ef0]
Apr 28 17:15:02 uche-pc1-ml winbindd[6727]:    #10 /usr/sbin/winbindd(main+0x76b) [0x7ff201b3dadb]
Apr 28 17:15:02 uche-pc1-ml winbindd[6727]:    #11 /lib/x86_64-linux-gnu/libc.so.6(__libc_start_main+0xfd) [0x7ff1fee66ead]
Apr 28 17:15:02 uche-pc1-ml winbindd[6727]:    #12 /usr/sbin/winbindd(+0xdef39) [0x7ff201b3df39]
Apr 28 17:15:02 uche-pc1-ml winbindd[6727]: [2012/04/28 17:15:02.664726,  0] lib/fault.c:372(dump_core)
Apr 28 17:15:02 uche-pc1-ml winbindd[6727]:   dumping core in /var/log/samba/cores/winbindd


smb.conf:

[global]
    netbios name = uche-pc1-ml
    server string = uche-pc1-ml
    interfaces = lo eth0
    socket options = SO_KEEPALIVE IPTOS_LOWDELAY TCP_NODELAY
    hosts allow = 129.70.70.0/24 129.70.172.0/23 127.0.0.1/8
    realm = ad.uni-bielefeld.de
    workgroup = ad
    security = ads
    template shell = /bin/bash
    template homedir = /home/%D/%U
    winbind use default domain = yes
    winbind refresh tickets = yes
    winbind offline logon = true
    winbind enum users = no
    winbind enum groups = no
    winbind expand groups = 4
    winbind nested groups = yes
    allow trusted domains = No
    idmap config *: backend = rid
    idmap config *: range = 100000-1000000
    wins server = 129.70.4.79 129.70.4.80 129.70.4.106
    time server = yes
    unix charset = utf8

    load printers = no
    syslog only = yes
    min protocol = NT1
    create mask = 0600
    directory mask = 0700


[homes]
    Valid Users = @AD\uche-pc1
    read only = no
    browseable = Yes
Comment 1 Volker Lendecke 2012-04-28 20:01:56 UTC
Created attachment 7508 [details]
Patch

This fixes it for me.
Comment 2 Michael Letzgus 2012-04-28 21:10:42 UTC
For me too.
Comment 3 Michael Adam 2012-04-30 10:52:38 UTC
Comment on attachment 7508 [details]
Patch

ACK
Comment 4 Michael Adam 2012-04-30 10:53:06 UTC
==> Karolin for inclusion into the release branch.
Comment 5 Karolin Seeger 2012-05-07 13:06:53 UTC
Pushed to v3-6-test.
Closing out bug report.

Thanks!